Bug 211573 - devel/git: Enable GITWEB by default
Summary: devel/git: Enable GITWEB by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://forums.freebsd.org/threads/57...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-08-04 09:48 UTC by Tobias Kortkamp
Modified: 2016-08-26 16:27 UTC (History)
5 users (show)

See Also:
pi: maintainer-feedback-


Attachments
git.diff (446 bytes, patch)
2016-08-04 09:48 UTC, Tobias Kortkamp
tobik: maintainer-approval? (garga)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-08-04 09:48:06 UTC
Created attachment 173274 [details]
git.diff

Since ports r408063 the PERL option (a requirement for GITWEB) is enabled by default via the SEND_EMAIL option.  Given that the PERL option is enabled anyway, can we enable the GITWEB option by default too?
Comment 1 andrewm659 2016-08-04 14:21:01 UTC
I wouldn't mind seeing this in there as well.
Comment 2 Chris Hutchinson 2016-08-08 15:11:31 UTC
(In reply to Tobias Kortkamp from comment #0)
> Created attachment 173274 [details]
> git.diff
> 
> Since ports r408063 the PERL option (a requirement for GITWEB) is enabled by
> default via the SEND_EMAIL option.  Given that the PERL option is enabled
> anyway, can we enable the GITWEB option by default too?

Doesn't doing so ultimately make the users box less secure _by default_?
I would argue that opening another [potential] hole by default, isn't
the best policy.

because you asked. :)

--Chris
Comment 3 Tobias Kortkamp freebsd_committer 2016-08-08 15:29:56 UTC
(In reply to Chris Hutchinson from comment #2)
> Doesn't doing so ultimately make the users box less secure _by default_?
How?  It's not going to run by default.
Comment 4 Kurt Jaeger freebsd_committer 2016-08-26 13:49:13 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2016-08-26 13:49:20 UTC
A commit references this bug:

Author: pi
Date: Fri Aug 26 13:49:03 UTC 2016
New revision: 420920
URL: https://svnweb.freebsd.org/changeset/ports/420920

Log:
  devel/git: Enable GITWEB by default

  - also change USE_OPENSSL to USES=ssl

  PR:		211573
  Submitted by:	Tobias Kortkamp <t@tobik.me>
  Approved by:	garga (maintainer timeout)

Changes:
  head/devel/git/Makefile
Comment 6 commit-hook freebsd_committer 2016-08-26 16:27:44 UTC
A commit references this bug:

Author: pi
Date: Fri Aug 26 16:27:36 UTC 2016
New revision: 420932
URL: https://svnweb.freebsd.org/changeset/ports/420932

Log:
  devel/git: bump PORTREVISION as OPTIONS_DEFAULT changed

  PR:		211573
  Reported by:	ohauer

Changes:
  head/devel/git/Makefile